Bug 620905 - Uploaded patch missing details in "raw unified" and "default colorized" modes
Uploaded patch missing details in "raw unified" and "default colorized" modes
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Attachments/Requests (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 14:19 EDT by Abhijith Das
Modified: 2012-05-30 09:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:36:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijith Das 2010-08-03 14:19:09 EDT
Description of problem:
I uploaded a patch https://bugzilla.redhat.com/attachment.cgi?id=436340&action=diff to bz 580867. The patch has 4 hunks with the first two applying to one file fs/gfs2/bmap.c and the second two hunks applying to fs/gfs2/ops_address.c

The "View" link at the top-left corner of the screen yields the full patch as I had uploaded it, however, in the "Raw Unified" view as well as the default colorized side-by-side view, there's no mention of the second file (fs/gfs2/ops_address.c). Obviously, when I downloaded this corrupt patch from the "raw unified" link, it doesn't apply cleanly (all hunks are attempted on bmap.c)

Here's the diff between what's shown through the "View" link and what's shown in the "Raw Unified" link:

--- view.patch	2010-08-03 13:05:30.000000000 -0500
+++ raw-unified.patch	2010-08-03 13:05:52.000000000 -0500
@@ -36,8 +36,6 @@
  	} else {
  		if (size & (u64)(sdp->sd_sb.sb_bsize - 1))
  			error = gfs2_block_truncate_page(ip->i_inode.i_mapping);
---- a/fs/gfs2/ops_address.c    2010-05-07 11:26:02.000000000 +0100
-+++ a/fs/gfs2/ops_address.c    2010-05-07 11:47:12.000000000 +0100
 @@ -426,6 +426,7 @@ static int gfs2_jdata_writepages(struct 
  static int stuffed_readpage(struct gfs2_inode *ip, struct page *page)
  {
Comment 1 David Lawrence 2010-08-25 17:40:48 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 2 Jeff Fearn 2012-05-30 00:38:00 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 3 Simon Green 2012-05-30 09:36:59 EDT
This was fixed in Bugzilla 4.2

Note You need to log in before you can comment on or make changes to this bug.